/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 8 mar 2021, 15:46:25
    Author     : jmusialek
*/


input[type=text]:focus.login, input[type=password]:focus.login {
    background-color: #fff;
    border-bottom: 2px solid #BF045B !important;
}

body {
    font-family: 'Lato', 'HelveticaNeue','Helvetica Neue', Helvetica, Arial, sans-serif;
}

.bg-light {
    background-color: white !important;
}

footer {
    padding: 45px 0px 65px !important;
    text-align: left !important;
    background-color: #273341;
    font-size: 14px !important;    
}

#formFooter {
    background-color: #0a0101 !important;
}

.form-control {
    border-radius: 1px !important;
}

.select2-dropdown {
    border-radius: 1px !important;
}

.form-control:focus, select2-dropdown:focus {
    border: 1px solid #BF045B;
    box-shadow: #BF045B 0px 0px 2px
}

.select2-container--bootstrap .select2-selection {
    border-radius: 1px !important;
}

.select2-container--bootstrap .select2-results__option--highlighted[aria-selected] {
    background-color: #BF045B;
    color: #fff;
}

.select2-container--bootstrap .select2-search--dropdown .select2-search__field {
    border-radius: 1px;
}

.select2-container--bootstrap.select2-container--focus .select2-selection, .select2-container--bootstrap.select2-container--open .select2-selection {
    box-shadow: #BF045B 0px 0px 2px !important;
    border: 1px solid #BF045B !important;
}

.custom-select {
    border-radius: 1px !important;
}
    
.footer-content {
    max-width: 1250px !important;
    margin: auto;
    color: white;
}

#formTransportOrder {
    padding-bottom: 30px;
}

#submit_btn {
    margin-right: 0px !important;
}

#mainSectionContainer {
    background: url("/portal/assets/images/courier.png") bottom right no-repeat;
    margin-top: 65px;
    min-height: calc(100vh - 241px) !important;
}

#mainContent {
    border: none !important;
    background: transparent;
    border-radius: 0px;
    padding-top: 50px;
    padding-bottom: 20px;
}

#mainContent > .card-body {
    padding: 0px !important;
}



#navbarSupportedContent {
    max-width: 1150px;
    margin: auto;
    font-size: 15px;
}

.mainSection > .navbar {
    background: linear-gradient(45deg, #bf045b 0%, #913660 51%, #6e6e6e 100%) !important;
    margin-top: -2px !important;
    position: fixed;
    width: 100%;
    z-index: 1000;
    top: 56px;
}

.navbar-nav > .nav-item {
    margin-left: 4px !important;
    margin-right: 4px !important;
}

.navbar-nav > .nav-item > .nav-link {
    color: white !important;
    padding-left: .75rem !important;
    padding-right: .75rem !important;
}

.navbar-nav > .nav-item:hover {
    background-color: #dddddd !important;
    border-radius: 0px 0px 1px 1px !important;
    margin-top: -8px !important;
    padding-top: 8px !important;
    box-shadow: #0000008f 0px 4px 4px !important;
}

.navbar-nav > .nav-item:hover > .nav-link {
    color: black !important;
}

.navbar-light .navbar-nav .active>.nav-link, .navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .nav-link.show, .navbar-light .navbar-nav .show> .nav-link {
    background-color: #ffffff !important;
    border-radius: 0px 0px 1px 1px !important;
    margin-top: -8px !important;
    padding-top: 16px !important;
    box-shadow: #0000008f 0px 4px 4px !important;
    color: black !important;
}

.current-balance-container {
    background-color: #ffffff !important;
    border-radius: 0px 0px 1px 1px !important;
    margin-top: -8px !important;
    padding-top: 16px !important;
    box-shadow: #0000008f 0px 4px 4px !important;
    padding: 8px 12px;
}

.fa-checkbox + label:before {
    border-radius: 1px !important;
}

.fa-checkbox:checked + label:before {
    background: #BF045B !important;
}

.styled-header, .card-title, .form-capture-header {
    padding-bottom: 3px !important;
    background: linear-gradient(90deg, #bf045b, #913660, transparent 98%) no-repeat !important;
    background-size: 100% 2px !important;
    background-position: bottom left !important;
    color: #BF045B !important
}

.card-title-icon {
    background-color: #BF045B !important;
    border-radius: 1px 1px 0px 3px !important;
}

.btn {
    border-radius: 1px;
}

.btn-outline-secondary {
    color: #BF045B;
    border-color: #BF045B;
}

.btn-outline-secondary:hover {
    color: white !important;
}

.btn-outline-secondary:not(:disabled):not(.disabled).active, 
.btn-outline-secondary:not(:disabled):not(.disabled):active, 
.show > .btn-outline-secondary.dropdown-toggle {
    background-color: #BF045B !important;
    border-color: #BF045B !important;
}

.package-label.focus {
    box-shadow: none;
}

.text-primary {
    color: #BF045B !important;
}


.btn-outline-primary:not(:disabled):not(.disabled).active, 
.btn-outline-primary:not(:disabled):not(.disabled):active, 
.show > .btn-outline-primary.dropdown-toggle {
    color: #fff !important;
    background-color: #c73ae2 !important;
    border-color: #c73ae2 !important;
}

.btn-outline-primary {
    color: #BF045B !important;
    border-color: #BF045B !important;
}

.btn-outline-primary:hover {
    background-color: #BF045B !important;
    border-color: #BF045B !important;
    color: white !important;
}

.btn-outline-danger {
    color: #e53232 !important;
    border-color: #ffffff !important;
    background-color: #ffffff !important;
}

.btn-outline-danger:hover {
    color: #e53232 !important;
    border-color: #e53232 !important;
    background-color: #ffffff !important;
}

.btn-primary{
	background-color: #BF045B;
	-webkit-box-shadow: 0px 0px 30px 0px rgba(42, 31, 188, 0.4);
	box-shadow: 0px 0px 5px 0px rgba(42, 31, 188, 0.4);
	background-size:auto 140%;
	border:0px;
        color: #fff !important;
}

.btn-primary:hover, .btn-primary:focus{
	color: #fff !important;
        background-color: #f00573;
}

.btn-primary.btn-light{
	background:#ffffff;
	color:#7717c2;
}
.btn-primary.btn-light:hover, .btn-primary.btn-light:focus{
	color:#7717c2;
}

input[type=submit], input[type=reset] {
    background-color: #BF045B !important;
    -webkit-box-shadow: 0px 0px 30px 0px rgba(42, 31, 188, 0.4);
    box-shadow: 0px 0px 5px 0px rgba(42, 31, 188, 0.4);
    border-radius: 1px;
}

input[type=submit]:hover, input[type=reset]:hover {
    background-color: #f00573 !important;
}

input[type=button], input[type=submit], input[type=reset], .input-btn {
    box-shadow: none !important;
}

a {
    color: #BF045B !important;
}

a:hover {
    color: #f00573 !important;
}

thead {
    /* background: linear-gradient(to bottom, #BF045B 0%, #559ae7 100%) !important; */
    color: #BF045B !important;
}

.page-item.active .page-link {
    z-index: 3;
    color: white !important;
    background-color: #BF045B;
    border-color: #BF045B;
    -webkit-box-shadow: 0px 0px 30px 0px rgb(42 31 188 / 40%);
    box-shadow: 0px 0px 5px 0px rgb(42 31 188 / 40%);
}

.package-nr {
    background-color: #bf045b6b !important;
    border-radius: 1px !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
    padding: 2px !important;
    margin-left: 1px !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    outline: none;
    background: transparent !important;
    box-shadow: none !important;
    color: white !important;
    border: 1px solid transparent;
}

.form-control:focus+.form-control-placeholder,
.form-control:focus+.bootstrap-autocomplete+.form-control-placeholder
{
    color: #BF045B !important;
    font-weight: 900;
}

.input-group-text {
    border-radius: 1px !important;
}

.irs--flat .irs-bar, 
.irs--flat .irs-from, 
.irs--flat .irs-to, 
.irs--flat .irs-single,
.irs--flat .irs-handle>i:first-child {
    background-color: #BF045B !important;
    padding: 1px 0px;
    border-radius: 1px;
}

.irs--flat .irs-from:before, 
.irs--flat .irs-to:before, 
.irs--flat .irs-single:before {
    border-top-color: #BF045B !important;
}

.irs--flat .irs-from, .irs--flat .irs-to, .irs--flat .irs-single {
    border-radius: 1px !important;
}

.irs--flat .irs-line {
    border-radius: 1px !important;
}

.irs--flat .irs-min, .irs--flat .irs-max {
    border-radius: 1px !important;
}

.flatpickr-calendar {
    border-radius: 1px !important;
}

.flatpickr-day {
    border-radius: 1px !important;
}

.flatpickr-day.selected, .flatpickr-day.startRange, .flatpickr-day.endRange, .flatpickr-day.selected.inRange, .flatpickr-day.startRange.inRange, .flatpickr-day.endRange.inRange, .flatpickr-day.selected:focus, .flatpickr-day.startRange:focus, .flatpickr-day.endRange:focus, .flatpickr-day.selected:hover, .flatpickr-day.startRange:hover, .flatpickr-day.endRange:hover, .flatpickr-day.selected.prevMonthDay, .flatpickr-day.startRange.prevMonthDay, .flatpickr-day.endRange.prevMonthDay, .flatpickr-day.selected.nextMonthDay, .flatpickr-day.startRange.nextMonthDay, .flatpickr-day.endRange.nextMonthDay {
    background: #2678bd;
    border-color: #2678bd;
}

.service-label-price, .service-label-loader {
    border-radius: 1px !important;
}

.spinner-border {
    width: 4rem;
    height: 4rem;
    vertical-align: -0.125em;
    color: #BF045B;
}

.spinner-border-btn {
    width: 1rem;
    height: 1rem;
    vertical-align: -0.125em;
    color: #BF045B;
    border: 0.15em solid currentColor;
    border-right-color: transparent;
}

.footer-icon {
    padding: 6px !important;
    color: #914ece !important;
}

.dt-button {
    color: #fff !important;
    background: #BF045B !important;
    border: none !important;
    padding: .25rem .5rem !important;
    font-size: .875rem !important;
    line-height: 1.5 !important;
    border-radius: .2rem !important;
}

.dt-button-collection {
    max-width: 160px !important;
}

.dt-button:hover {
	color: #fff !important;
        background-color: #f00573;
}